package com.loafle.overflow.module.infra.service;

import com.loafle.overflow.module.infra.model.InfraMachine;
import com.loafle.overflow.spring.AppConfig;
import com.loafle.overflow.spring.JdbcConfiguration;
import com.loafle.overflow.spring.MailConfiguration;
import org.codehaus.jackson.map.ObjectMapper;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by snoop on 17. 7. 27.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class, MailConfiguration.class})
public class InfraMachineServiceTest {

    @Autowired
    private InfraMachineService infraMachineService;

    @Ignore
    @Test
    public void regist() throws Exception {

        InfraMachine infraMachine = new InfraMachine();

        infraMachine.setMeta("");

        this.infraMachineService.regist(infraMachine);

        Assert.assertNotEquals(infraMachine.getId(), 0);

    }

    @Test
    public void read() throws Exception {

        InfraMachine infraMachine = this.infraMachineService.read(1);

        ObjectMapper objectMapper = new ObjectMapper();
        String json = objectMapper.writeValueAsString(infraMachine);
        System.out.println(json);
    }

}