package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.model.MetaProbeVersion;
import com.loafle.overflow.spring.AppConfig;
import com.loafle.overflow.spring.JdbcConfiguration;
import com.loafle.overflow.spring.MailConfiguration;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by snoop on 17. 7. 27.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class, MailConfiguration.class})
public class MetaProbeVersionServiceTest {

    @Autowired
    private MetaProbeVersionService probeVersionService;

    @Test
    public void readAll() throws Exception {

        List<MetaProbeVersion> probeVersionList = this.probeVersionService.readAll();

        Assert.assertNotEquals(probeVersionList.size(), 0);

    }


}